/*
 * control_defs.h
 *
 *  Created on: Dec 28, 2010
 *      Author: david
 * University of Minnesota 
 * Aerospace Engineering and Mechanics 
 *  2011 Regents of the University of Minnesota. All rights reserved.
 *
 * $Id: control_defs.h 253 2011-01-20 22:01:35Z murch $
 */

#ifndef CONTROL_DEFS_H_
#define CONTROL_DEFS_H_

#define 	THROTTLE_MAX 	0.9
#define		THROTTLE_MIN	0.0
#define		RUDDER_MAX		0.4363			// 25deg
#define		ELEVATOR_MAX	0.4363
#define 	AILERON_MAX		0.4363
#define 	RUD_YAWDAMP_AUTH_MAX 0.1745
#define 	ROLL_CMD_MAX 	0.698			// 40deg
#define		PITCH_CMD_MAX	0.5235
#define 	YAWRATE_CMD_MAX 0.5235

#define		cdT	        	0.04   	     // 25 Hz

#define sign(arg) 			(arg>=0 ? 1:-1)

#endif /* CONTROL_DEFS_H_ */
